add_space_norm< Problem, std::true_type >
Inheritance diagram for add_space_norm< Problem, std::true_type >:

## Public Types

typedef Problem::float_type | float_type
typedef Problem::value_type | value_type

## Public Member Functions

| add_space_norm (const add_space_norm &f)
| add_space_norm (const Problem &f)
add_space_norm< Problem > & | operator= (add_space_norm< Problem > &&f)

## Detailed Description

### template<class Problem>
class rheolef::details::add_space_norm< Problem, std::true_type >

Definition at line 180 of file newton_add_missing.h.

## Member Typedef Documentation

## float_type

typedef Problem::float_type float_type

Definition at line 182 of file newton_add_missing.h.

## value_type

typedef Problem::value_type value_type

Definition at line 183 of file newton_add_missing.h.

## Constructor & Destructor Documentation

## add_space_norm() [1/2]

add_space_norm | ( | const add_space_norm< Problem, std::true_type > & | f | ) |

Definition at line 184 of file newton_add_missing.h.

## add_space_norm() [2/2]

add_space_norm | ( | const Problem & | f | ) |

explicit

Definition at line 185 of file newton_add_missing.h.

## Member Function Documentation

## operator=()

add_space_norm<Problem>& operator= | ( | add_space_norm< Problem > && | f | ) |

Definition at line 186 of file newton_add_missing.h.

The documentation for this class was generated from the following file:

- /build/rheolef-bzr82u/rheolef-7.1/main/lib/newton_add_missing.h